Windows Server Backup

Windows Server Backup is a feature in Windows Server 2008 that provides a set of wizards and other tools for you to perform basic backup and recovery tasks for the server it is installed on. This feature has been redesigned and introduces new technology. The previous backup feature (Ntbackup.exe) that was available with earlier versions of Windows has been removed.

For more information about backing up and recovering your servers, see the Windows Server 2008 Technical Library (http://go.microsoft.com/fwlink/?LinkId=93012). For syntax and examples for the Wbadmin command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131).

  • Overview of Windows Server Backup

  • Checklist: Schedule Automatic Backups

  • Checklist: Perform a Manual Backup

  • Checklist: Recover the Operating System

  • Installing Windows Server Backup Tools

  • Backing Up Your Server

  • Recovering Your Server

  • Troubleshooting Backup and Recovery

  • Resources for Backup and Recovery

  • User Interface: Windows Server Backup


Overview of Windows Server Backup

The Windows Server Backup feature in Windows Server 2008 consists of a Microsoft Management Console (MMC) snap-in and command-line tools that provide a complete solution for your day-to-day backup and recovery needs. You can use four wizards to guide you through running backups and recoveries. You can use Windows Server Backup to back up a full server (all volumes), selected volumes, or the system state. You can recover volumes, folders, files, certain applications, and the system state. And, in case of disasters like hard disk failures, you can perform a system recovery, which will restore your complete system onto the new hard disk, by using a full server backup and the Windows Recovery Environment.

You can use Windows Server Backup to create and manage backups for the local computer or a remote computer. And, you can schedule backups to run automatically.

Windows Server Backup is intended for use by everyone who needs a basic backup solution—from small business owners to IT professionals in large enterprises. However, the design makes it especially well-suited for smaller organizations or individuals who are not IT professionals.

Considerations

You must be a member of the Administrators group or Backup Operators group to use Windows Server Backup.

In Windows Server 2008, the firewall has been enabled by default. If you are managing the backups of another computer using the Windows Server Backup snap-in, your connectivity to the remote computer may be affected and can be resolved by changes in the firewall rules. While working on the local computer, you are not affected.

Also, if you are a current user of the previous backup feature (Ntbackup.exe) that shipped in earlier versions of Windows, and plan to switch to the new Windows Server Backup, you might be affected by the following issues and changes:

  • Settings for creating backups will not be upgraded when you upgrade to Windows Server 2008. You will need to reconfigure settings.

  • You will need a separate, dedicated disk for running scheduled backups.

  • Only NTFS-formatted volumes on a locally-attached disk can be backed up.

  • You can no longer back up to tape. (However, support of tape storage drivers is still included in Windows Server 2008). Windows Server Backup supports backing up to external and internal disks, DVDs, and shared folders.

  • You cannot recover backups that you created with Ntbackup.exe by using Windows Server Backup. However, a version of Ntbackup.exe is available as a download to Windows Server 2008 for users who want to recover data from backups created using Ntbackup.exe. The downloadable version of Ntbackup.exe is only for recovering backups for older versions of Windows and cannot be used to create new backups in Windows Server 2008. To download Ntbackup.exe, see http://go.microsoft.com/fwlink/?LinkId=82917.

New functionality

Windows Server Backup includes the following improvements:

  • Faster backup technology. Windows Server Backup uses Volume Shadow Copy Service (VSS) and block-level backup technology to back up and recover your operating system, files and folders, and volumes. After the first full backup is created, you can configure Windows Server Backup to automatically run incremental backups by saving only the data that has changed since the last backup. Even if you choose to always perform full backups, your backup will take less time than it did in earlier versions of Windows.

  • Simplified restoration. You can restore items by choosing a backup and then selecting specific items from that backup to restore. You can recover specific files from a folder or all the contents of a folder. In addition, previously, you needed to manually restore from multiple backups if the item was stored on an incremental backup. But this is no longer true—you can now choose the date of the backup version for the item you want to restore.

  • Simplified recovery of your operating system. Windows Server Backup works with new Windows recovery tools to make it easier for you to recover your operating system. You can recover to the same server—or if the hardware fails, you can recover to a separate server with similar hardware that has no operating system.

  • Ability to recover applications. Windows Server Backup uses VSS functionality that is built into applications like Microsoft SQL Server™ to protect application data.

  • Improved scheduling. Windows Server Backup includes a wizard that guides you through the process of creating daily backups. System volumes are automatically included in all scheduled backups so that you are protected against disasters.

  • Offsite removal of backups for disaster protection. You can save backups to multiple disks in a rotation, which enables you to move disks from an offsite location. Add each disk as a scheduled backup location and, if the first disk is moved offsite, Windows Server Backup will automatically save backups to the next disk in the rotation.

  • Remote administration. Windows Server Backup uses an MMC snap-in to give you a familiar and consistent experience for managing your backups. After you install the snap-in, you can access this tool through Server Manager or by adding the snap-in to a new or existing MMC console. Then, you can manage backups on other servers by clicking the Action menu in the snap-in, and then clicking Connect to Another Computer.

  • Automatic disk usage management. After you configure a disk for a scheduled backup, Windows Server Backup automatically manages the disk usage—you do not need to be concerned about running out of disk space after repeated backups. Windows Server Backup will automatically reuse the space of older backups when creating new backups. The management tool displays the backups that are available and the disk usage information. This can help you plan for provisioning additional storage to meet your recovery time objectives.

  • Extensive command-line support. Windows Server Backup includes the Wbadmin command and documentation, which enable you to perform all of the same tasks at the command line that you can perform by using the snap-in. For more information, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131). You can also automate backup activities through scripting.

    In addition, Windows Server 2008 contains a collection of Windows PowerShell commands (cmdlets) for Windows Server Backup that you can use to write scripts to perform backups. For more information, see http://go.microsoft.com/fwlink/?LinkId=93317.

  • Support for optical media drives and removable media. You can manually back up volumes directly to optical media drives, such as DVD drives, and also to removable media. This offers a solution if you want to create backups that can easily be moved offsite on a one-time basis. This version of Windows Server Backup retains support for manual backups to shared folders and hard disks.

Supported operating systems

Windows Server Backup is available in all editions of Windows Server 2008 (both 32-bit and 64-bit versions). However, the Windows Server Backup snap-in is not available for the Server Core installation option of Windows Server 2008. To run backups for computers with a Server Core installation, you need to either use the command line or manage backups remotely from another computer. In addition, Windows PowerShell is not available for the Server Core installation option, so the cmdlets for Windows Server Backup are also not available on this type of installation.

Additional resources

  • Checklist: Schedule Automatic Backups

  • Checklist: Perform a Manual Backup

  • Checklist: Recover the Operating System

  • Installing Windows Server Backup Tools

  • Backing Up Your Server

  • Recovering Your Server

  • Troubleshooting Backup and Recovery

  • Resources for Backup and Recovery

  • User Interface: Windows Server Backup

  • For more information about backing up or recovering your server, see http://go.microsoft.com/fwlink/?LinkId=93012.


Checklist: Schedule Automatic Backups

On a computer running Windows Server 2008, you can use the Backup Schedule Wizard in Windows Server Backup to schedule backups that run automatically once or more per day.

Important

You can only save scheduled backups to one or more attached disks (either internal or external), and all the disks that you will use for backup must be available and online for the schedule to be configured and for you to complete the wizard. However, later when you start running backups, if you are using multiple disks, we recommend that you only connect one so that backups will keep happening to same disk. Then, when you want to take that set of backups offsite, attach another disk in the series.

You can also create scheduled backups using the Wbadmin enable backup command to configure scheduled backups. For examples and syntax for this command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93106).

This checklist describes how to schedule automatic backups using the Windows Server Backup user interface.

Task References

Before you begin, review concepts and requirements, and then determine the following:

  • How many times a day and at what times you want to run backups.

  • Whether you will use a single disk or multiple disks to store the backups.

  • Which volumes you want to back up and whether the backups will need to be used for system recovery.

Windows Server Backup; Backing Up Your Server; http://go.microsoft.com/fwlink/?LinkId=93012

If you have not already done so, install Windows Server Backup.

Installing Windows Server Backup Tools

Run the Backup Schedule Wizard and follow the instructions in the wizard.

Configure Automatic Backups; Backup Schedule Wizard

If needed, configure the backup to save to multiple disks that you can rotate offsite.

Use Multiple Disks to Store Backups

After the backup is scheduled and a backup has been created, run a test recovery. To do this, you can either wait for the first scheduled backup to run or you can create a one-time backup immediately using the Backup Once Wizard or the Wbadmin start backup command and the same settings that you used for the scheduled backups.

Perform a Manual Backup; Recovering Your Server

Periodically review the backup schedule to confirm that it still meets the needs of your business. In addition, review the configuration of the scheduled backups and consider revising it when you add or remove volumes, applications, features, or roles.

Modify an Automatic Backup Schedule

Additional considerations

  • To install and use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • If you are using BitLocker Drive Encryption to protect your server, if possible, make sure the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional resources

  • Checklist: Perform a Manual Backup

  • Checklist: Recover the Operating System


Checklist: Perform a Manual Backup

On a computer running Windows Server 2008, you can use the Backup Once Wizard in Windows Server Backup to create single backups of your computer.

You can also create one-time backups using the Wbadmin start backup or Wbadmin start systemstatebackup commands. For syntax and examples, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131).

This checklist describes how to perform a manual backup using the Windows Server Backup user interface.

Task References

Before you begin, review concepts and requirements, and then determine the following:

  • Where you will store the backup.

  • Which volumes you want to back up and whether the backups will need to be used for full system recovery or system state recovery.

Windows Server Backup; Backing Up Your Server; http://go.microsoft.com/fwlink/?LinkId=93012

If you have not already done so, install Windows Server Backup.

Installing Windows Server Backup Tools

Run the Backup Once Wizard and follow the instructions in the wizard.

Perform a Manual Backup; Backup Once Wizard

After the backup is created, run a test recovery.

Recovering Your Server

Additional considerations

  • To install and use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • If you are using BitLocker Drive Encryption to protect your server, if possible, make sure the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional resources

  • Checklist: Schedule Automatic Backups

  • Checklist: Recover the Operating System


Checklist: Recover the Operating System

On a computer running Windows Server 2008, you can use the following to perform recovery tasks:

  • Recovery Wizard. This wizard helps you recover files and folders, applications, and volumes.

  • Catalog Recovery Wizard. This wizard helps you recover the backup catalog. This wizard is only available if your backup catalog has become corrupted.

  • A Windows Setup disc and a backup created with Windows Server Backup. This method helps you recover your operating system or full server.

You can also perform recoveries using the Wbadmin start recovery, Wbadmin start systemstaterecovery, and Wbadmin restore catalog commands. For syntax and examples, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131).

This checklist describes how to recover data using the Windows Server Backup user interface.

Task References

Before you begin, review concepts and requirements, and then determine the following:

  • What you want to recover.

  • What backup you will use to recover from.

  • Where you want to recover to.

Windows Server Backup; Recovering Your Server; http://go.microsoft.com/fwlink/?LinkId=93012

If you have not already done so, install Windows Server Backup.

Installing Windows Server Backup Tools

If needed, attach any drives or make sure any remote shared folders that you need are available. Also, make sure that you understand the limitations of different storage and recovery types.

Recover Files and Folders; Backing Up Your Server

Run the Recovery Wizard and follow the instructions in the wizard that are specific to what you want to recover.

Recover Applications and Data; Recover Volumes

This checklist describes how to recover data using a Windows Setup disc and a backup that you created using Windows Server Backup.

Task References

Before you begin, make sure you have a Windows Setup disc or that the Windows Recovery Environment is installed on a separate partition on your server, review concepts and requirements, and then determine the following:

  • What you want to recover.

  • What backup you will use to recover from.

  • Where you want to recover to (the same computer or another computer) and whether it has enough space for what you are recovering.

  • Whether you want to perform an operating system recovery or full server recovery.

Windows Server Backup; Recovering Your Server; http://go.microsoft.com/fwlink/?LinkId=93012; Recover the Operating System

Perform the recovery.

Recover the Operating System

This checklist describes how to recover the backup catalog using the Windows Server Backup user interface.

Task References

Before you begin, review concepts and requirements, and then determine what backup you will use to recover from. Or, if you do not have a backup to recover from, determine whether you want to just delete the catalog and start over with your backups.

Windows Server Backup; Recovering Your Server; http://go.microsoft.com/fwlink/?LinkId=93012

Run the Catalog Recovery Wizard and follow the instructions.

Note

The Catalog Recovery Wizard will not appear in Windows Server Backup unless you have a corrupted catalog.

After you run the wizard, close and then reopen Windows Server Backup to refresh the status.

Recover a Backup Catalog; Catalog Recovery Wizard

Additional considerations

  • To install and use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a system recovery, make sure to reapply BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional resources

  • Checklist: Schedule Automatic Backups

  • Checklist: Perform a Manual Backup


Installing Windows Server Backup Tools

To access backup and recovery tools for Windows Server 2008, you must install the Windows Server Backup, Command-line Tools, and Windows PowerShell items that are available in the Add Features Wizard in Server Manager. This installs the following tools:

  • Windows Server Backup Microsoft Management Console (MMC) snap-in

  • Wbadmin command-line tool

  • Windows Server Backup cmdlets (Windows PowerShell commands)

To install backup and recovery tools

  1. Click Start, click Server Manager, in the left pane click Features, and then in the right pane click Add Features. This opens the Add Features Wizard.

  2. In the Add Features Wizard, on the Select Features page, expand Windows Server Backup Features, and then select the check boxes for Windows Server Backup and Command-line Tools.

    You will receive a message that Windows PowerShell is also required to be installed with these features.

    Note

    If you just want to install the snap-in and the Wbadmin command-line tool, expand Windows Server Backup Features, and then select the Windows Server Backup check box. In this case, Windows PowerShell is not required.

  3. Click Add Required Features, and then click Next.

  4. On the Confirm Installation Selections page, review the choices that you made, and then click Install. If there is an error during the installation, it will be noted on the Installation Results page.

  5. Then, to access these backup and recovery tools, do the following:

    • To access the Windows Server Backup snap-in, click Start, click Administrative Tools, and then click Windows Server Backup.

    • To access and view the syntax for Wbadmin, click Start, right-click Command Prompt, and then click Run as administrator. At the prompt, type: wbadmin /?

    • For instructions to access and view the Help for the Windows Server Backup cmdlets, see GettingStarted.rtf at: <systemdrive>:\Windows\System32\WindowsPowerShell\v1.0\Documents\<language>.

Additional considerations

  • To install Windows Server Backup features in Server Manager, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • You can also access Windows Server Backup from Server Manager, under the Storage node.

Additional references

  • Windows Server Backup

  • Wbadmin command (http://go.microsoft.com/fwlink/?LinkId=93131)


Backing Up Your Server

You can use Windows Server Backup to protect your operating system, volumes, files, and application data. Backups can be saved to single or multiple disks, DVDs, removable media, or remote shared folders. They can be scheduled to run automatically or manually.

You can create a backup using the Backup Schedule Wizard to enable backups to be run on a regular schedule or using the Backup Once Wizard to run a one-time backup. You can access both of these wizards from the Windows Server Backup Microsoft Management Console (MMC) snap-in. You can also create regular or one-time backups using the Wbadmin command.

This section contains instructions to help you do the following:

  • Configure Automatic Backups

  • Modify an Automatic Backup Schedule

  • Perform a Manual Backup

  • Use Multiple Disks to Store Backups

  • Create a Backup of the System State Using a Command Line

Choosing volumes to back up

As part of creating a backup, you will need to specify the volumes that you want to include. The volumes you select will impact what you can recover. You have the following options:

Volume options | Recovery options
Full server (all volumes) | Back up all volumes if you want to be able to recover the full server—all the files, data, applications, and the system state. We recommend this option.
Critical volumes | Back up just critical volumes (volumes containing operating system files) if you only want to be able to recover the operating system or system state.
Noncritical volumes | Back up just individual volumes if you only want to be able to recover files, applications, or data from that volume.

Choosing a storage location

You will also need to specify a location to store the backups that you create. Depending on the type of storage you specify, you should be aware of the following issues:

Storage type Details

Shared folder

If you store your backup in a remote shared folder, your backup will be overwritten each time you create a new backup. Do not choose this option if you want to store a series of backups.

Also, if you create a backup to a shared folder that already contains a backup, if the backup process fails, you might be left without any backups. To work around this, you can create subfolders in the shared folder to store your backups.

DVD, other optical media, or removable media

If you store your backup on optical or removable media, you can only recover entire volumes, not applications or individual files. In addition, backing up to media that has less than 1 GB of free space is not supported.

Local hard disk

If you store your backup on an internal hard disk, you can:

  • Recover files, folders, applications, and volumes.

  • Perform system state and operating system recoveries if the backup used contains all the critical volumes.

However, you cannot perform an operating system recovery if the backup is on the same physical disk as one or more critical volumes. .

Also, the local disk you choose will be dedicated for storing your scheduled backups and will not be visible in Windows Explorer.

External hard disk

If you store your backup on an external hard disk, you can:

  • Recover files, folders, applications, and volumes.

  • Perform system state and operating system recoveries if the backup used contains all the critical volumes.

  • More easily move backups offsite for disaster protection.

If you store your scheduled backups on an external hard disk, the disk will be dedicated for storing your backups and will not be visible in Windows Explorer. This will enable users to move disks offsite for disaster protection and ensure backup integrity.

Important

If you are using BitLocker Drive Encryption to protect your server, if possible, make sure that the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional considerations

  • To use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Windows Server Backup

  • Installing Windows Server Backup Tools

  • Recovering Your Server

  • Checklist: Schedule Automatic Backups

  • Checklist: Perform a Manual Backup

  • Wbadmin command in the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131)


Configure Automatic Backups

You can protect your computer running Windows Server 2008 and its data automatically by scheduling daily backups. To configure scheduled backups, you will need to:

  • Install Windows Server Backup. For instructions, see Installing Windows Server Backup Tools.

  • Identify a hard disk that you can dedicate for storing your backups, and make sure that the disk is attached and online. As a best practice, use an external hard disk that supports either USB 2.0 or IEEE 1394 to the server. The disk should have at least 2.5 times the storage capacity of the set of items that you want to back up. The disk should either be empty or contain data that you do not need to keep because Windows Server Backup will format this disk as part of preparing it for the backup.

  • Decide whether to back up the full server or only certain volumes.

  • Decide whether to run backups once a day or more often.

  • After the backups start running, monitor the status using the Messages, Status, and Scheduled Backup sections of the snap-in default page.

Note

You can also use the Wbadmin enable backup command to configure scheduled backups. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=93106.

To create a backup schedule using the Windows Server Backup user interface

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Getting started page, click Next.

  4. On the Select backup configuration page, do one of the following, and then click Next:

    • Click Full Server to back up all volumes on the server. This is the recommended option.

    • Click Custom to back up just certain volumes, and then click Next. On the Select backup items page, select the check boxes for the volumes that you want to back up and clear the check boxes for the volumes that you want to exclude.

      Note

      Volumes that contain operating system components are included in the backup by default and cannot be excluded.

  5. On the Specify backup time page, do one of the following, and then click Next:

    • Click Once a day, and then enter the time to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Repeat for each start time that you want to add.

  6. On the Select destination disk page, select the check box for the disk that you attached for this purpose, and then click Next.

    Note

    By default, the likely disk or disks are shown in the list. These disks are external disks that can be used for moving backups offsite for disaster protection. If the disk that you want to use is not listed, click Show All Available Disks. Then select the check box next to the disk that you want to use to store the backups.

  7. A message informs you that the selected disk will be formatted and any existing data will be deleted. Click Yes.

    Important

    Do not click Yes if you have data on the disk that you need. To use a different disk, click No, and then select a different disk under Available disks.

    Note

    This disk will no longer be visible in Windows Explorer—to prevent data from accidentally being stored on the drive and then overwritten, and to prevent accidental loss of backups.

  8. On the Label destination disk page, the disk that you selected is listed. A label that includes your computer name, the current date, the current time, and a disk name is assigned to the disk. Click Next.

    Important

    We recommend that you record and then physically attach the label information to the external disk. If you need to recover data from the backup stored on the disk, you will need this information to identify the disk.

  9. On the Confirmation page, review the details, and then click Finish. The wizard formats the disk, which may take several minutes depending on the size of the disk.

  10. On the Summary page, click Close.

Additional considerations

  • To configure a scheduled backup, you must be a member of the Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • You can use multiple external disks to store the data, and rotate them between onsite and offsite storage locations. For instructions, see Use Multiple Disks to Store Backups.

  • If you want to create a schedule for backups, but do not want to run them every day or want to run them only on specific days of the week or month, you can use Task Scheduler and the Wbadmin start backup command to run a series of backups. You can also use these tools to perform periodic system state backups. For more information, see Perform a Manual Backup.

Additional references

  • Backing Up Your Server

  • Modify an Automatic Backup Schedule


Modify an Automatic Backup Schedule

Once you have created a backup schedule using Windows Server Backup, you should periodically review the schedule to confirm that it still meets the needs of your business. In addition, you should review the configuration of the scheduled backups and consider revising it when you add or remove applications, features, roles, volumes, or disks.

Note

The selections that were made when the backup schedule was created are reflected in the Backup Schedule Wizard when you run it again to make modifications.

To update a backup schedule using the Windows Server Backup user interface

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Scheduled backup settings page, click Modify Backup, and then click Next.

  4. On the Select backup type page, do one of the following, and then click Next:

    • Click Full Server to back up all volumes on the server. This is the recommended option.

    • Click Custom to back up just certain volumes, and then click Next. On the Select backup items page, select the check boxes for the volumes that you want to back up and clear the check boxes for the volumes that you want to exclude from the scheduled backup.

      Note

      Volumes that contain operating system components are included in the backup by default and cannot be excluded.

  5. On the Specify backup time page, do one of the following, and then click Next:

    • Click Once a day, and then enter a new time to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Under Scheduled time, click Remove to delete a time. Repeat for each start time that you want to add to or remove from the schedule.

  6. On the Add or remove backup disks page, do one of the following, and then click Next:

    • Click Do nothing.

    • Click Add more disks.

    • Click Remove current disks.

  7. If you choose to add more disks to store backups, do the following:

    1. On the Select destination disk page, select the check box for the disk that you attached for this purpose, and then click Next.

      Note

      By default, the likely disk or disks are shown in the list. These disks are external disks that can be used for moving backups offsite for disaster protection. If the disk that you want to use is not listed, click Show All Available Disks. Then select the check box next to each disk that you want to use to store the automatic backups.

      A message informs you that the selected disk will be formatted and any existing data will be deleted. Click Yes.

    Important

    Do not click Yes if you have data on the disk that you need. To use a different disk, click No, and then select a different disk under Available disks.

    1. On the Label destination disk page, each disk that you selected is listed. A label that includes your user name, the current date, the current time, and a disk name is assigned to each disk. Click Next.

      Important

      We recommend that you record and then physically attach the label information to each external disk. If you need to recover data from the backup stored on the disk, you will need this information to identify the disk.

  8. If you choose to remove disks, on the Remove current disks page, select the check box next to each disk that you want to remove from the disks used to store backups.

  9. On the Confirmation page, review the details, and then click Finish. The wizard modifies the schedule and formats any added disks.

  10. On the Summary page, click Close.

You can also use this wizard to stop running scheduled backups.

To stop running scheduled backups using the Windows Server Backup user interface

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Scheduled backup settings page, click Stop Backup to stop running scheduled backups and release the disk or disks where you were storing the backups, and then click Next.

  4. On the Confirmation page, review the details, and then click Finish. You will see a message asking you to confirm the change. Click Yes.

  5. On the Summary page, click Close.

Additional considerations

  • To modify a backup schedule using Windows Server Backup, you must be a member of the Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Backing Up Your Server

  • Configure Automatic Backups


Perform a Manual Backup

You can create a backup by using the Backup Once Wizard, which is available in the Windows Server Backup snap-in—or by using the Wbadmin start backup command.

Using the Backup Once Wizard to perform a manual backup

Important

This wizard is intended for you to use to create backups that supplement regularly scheduled backups. We recommend that you do not use the Backup Once Wizard as the only means of creating backups (see Configure Automatic Backups).

To supplement your regular backups, you can use the Backup Once Wizard to:

  • Back up volumes that are not included in regular backups.

  • Back up volumes that contain important items before making changes such as installing updates or new features.

  • Create a backup of regularly scheduled items in a different location than where scheduled backups are stored.

Use the following procedures to create a manual backup using this wizard.

  • Back Up to a Local Disk, DVD, or Removable Media

  • Back Up to a Remote Shared Folder

Using the 'Wbadmin start backup' command to perform a manual backup

You can also create a single backup using the Wbadmin start backup command. Or, if you want to create a schedule to run backups at different times on different days, for example, you can use Task Scheduler to create a series of tasks to run this command on the desired schedule or to launch a batch file. However, if you do this, you should make sure that backups that are run as part of the custom schedule do not overlap with backups that are run as part of the regular backup schedule. If there are conflicts, one of the backup operations will fail.

To use Task Scheduler and Wbadmin to schedule tasks to run backups

  1. Click Start, click Administrative Tools, and then click Task Scheduler.

  2. In Task Scheduler, in the Actions pane, click Create Tasks.

  3. Follow the instructions in the Task Scheduler help for scheduling a task.

  4. On the Actions tab, click New, and then do the following:

    1. In the Actions drop-down list, click Start a program.

    2. In Program/script, type: %windir%\System32\wbadmin.exe

    3. In Add arguments, type:

      start backup [-backupTarget:{<TargetVolume> | <TargetNetworkShare>}][-include:<VolumesToInclude>][-allCritical][-vssFull][-noVerify][-user:<UserName>][-password:<Password>][-noInheritAcl][-quiet]

    To view help for this command, at a command line, type:

    wbadmin start backup /?

  5. Repeat step 4 for each backup that you want to add.

Additional considerations

  • To use Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Windows Server Backup

  • Installing Windows Server Backup Tools

  • Recovering Your Server


Back Up to a Local Disk, DVD, or Removable Media

This type of backup helps you recover all volumes that are contained in the backup. If you back up to a DVD, other optical media, or removable media, you will only be able to recover entire volumes—you cannot recover individual files and folders or application data directly from backups stored on these media types.

Backups are compressed when stored on a DVD. As a result, the size of the backup on a DVD might be smaller than the volume on the server. However, the backup destination must be at least 1 GB or it will be blocked from the list of available backup destinations.

When a DVD backup contains all critical volumes (volumes with system components needed to restore the operating system), you can use that backup to recover the server operating system by performing a system recovery.

Before you attempt to back up to a local disk, DVD, or removable media, ensure that you meet the following requirements:

  • Install Windows Server Backup. For instructions, see Installing Windows Server Backup Tools.

  • Make sure you have access to an account that is a member of the Administrators or Backup Operators group.

  • If you are using a local disk, make sure the disk, which supports either USB 2.0 or IEEE 1394, is internal or attached to the server.

  • If you are using DVDs, make sure a DVD writer is connected to the server and online, and that you have enough blank DVDs to store the contents of all the volumes that you want to back up. Backups to DVDs can span multiple DVDs if the backup is too large for a single DVD.

  • Decide whether to back up the full server or only certain volumes.

  • After the backup runs, monitor the status using the Messages and Status sections of the snap-in start page.

To create a manual backup on a local disk, DVD, or removable media

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. From the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Once. This opens the Backup Once Wizard.

  3. On the Backup options page, do one of the following, and then click Next:

    • Click The same options that you used in the Backup Schedule Wizard for scheduled backups.

    • Click Different options.

  4. On the Select backup configuration page, do one of the following, and then click Next:

    • Click Full server to back up all volumes on the server.

    • Click Custom to back up just certain volumes, and then click Next. Then, on the Select backup items page, select the check boxes for the volumes that you want to back up.

      Note

      Volumes that contain operating system components or applications are included in the backup by default to enable operating system recovery and system state recovery options. If you are sure you do not want these recovery options, you can exclude them by clearing the Enable system recovery check box.

  5. On the Specify destination type page, click Local drives, and then click Next.

  6. On the Select backup destination page, select the destination that you want to use to store the backup from the drop-down list. If you choose a hard disk, confirm that there is enough free space on the disk. If you choose a DVD drive or other optical media, indicate whether you want the contents to be verified after they are written to.

  7. On the Specify advanced options page, indicate whether you want to create a copy or full Volume Shadow Copy Service (VSS) backup. You should click VSS full backup if you are sure you are not using another product to create backups. Otherwise, you should click VSS copy backup. Click Next.

    Note

    If you choose VSS full backup, the application log files may be overwritten or truncated.

  8. On the Confirmation page, review the details, and then click Backup. The wizard prepares the backup set, formats the optical or removable media (if that is what you are using), and then creates the backup.

  9. On the Backup progress page, you can view the status of the backup. If you are backing up to a DVD, when the backup starts, you will receive a message to insert the first DVD in the drive and then, if the backup is too large for a single DVD, you will be prompted for subsequent DVDs as the backup continues. During this process, you should physically write the information next to Disk label in the message on the DVD that you insert. You will need this information later to perform a recovery.

Additional considerations

  • To create a single backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Perform a Manual Backup

  • Installing Windows Server Backup Tools

  • Back Up to a Remote Shared Folder

  • Recovering Your Server


Back Up to a Remote Shared Folder

Before you attempt to back up to a remote shared folder, ensure that you meet the following requirements:

  • Install Windows Server Backup. For instructions, see Installing Windows Server Backup Tools.

  • Make sure you have access to an account that is a member of the Administrators or Backup Operators group for the computer that you are using to perform the backup and that you have write access for the computer that is hosting the remote shared folder.

  • Decide whether to back up the full server or only certain volumes.

  • If you have enabled IPsec in your domain and you want to use a remote shared folder to save your backup, you should save the backup to a shared folder on an IPsec boundary computer. Otherwise, you will not be able to access the shared folder when using a Windows Setup disc to access the Windows Recovery Environment.

After the backup runs, monitor the status using the Messages and Status sections of the snap-in start page.

Important

If you save a backup to a remote shared folder, that backup will be overwritten if you use the same folder to back up the same computer again. In addition, if the backup operation fails, you may end up with no backup because the older backup will be overwritten, but the newer backup will not be usable. You can avoid this by creating subfolders in the remote shared folder to organize your backups. If you do this, the subfolders will need twice the space as the parent folder.

To create a manual backup and save it to a remote shared folder

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. From the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Once. This opens the Backup Once Wizard.

  3. On the Backup options page, do one of the following, and then click Next:

    • Click The same options that you used in the Backup Schedule Wizard for scheduled backups.

      Note

      If you choose this option, you will not be able to save your backup to a remote shared folder because scheduled backups are saved to a hard disk only.

    • Click Different options.

  4. On the Select backup configuration page, do one of the following, and then click Next:

    • Click Full server to back up all volumes on the server.

    • Click Custom to back up just certain volumes, and then click Next. Then, on the Select backup items page, select the check boxes for the volumes that you want to back up.

      Note

      Volumes that contain operating system components or applications are included in the backup by default. To exclude them, clear the Enable system recovery check box.

  5. On the Specify destination type page, click Remote shared folder, and then click Next.

  6. On the Specify remote folder page, type the path to the folder. In this folder, a folder named WindowsImageBackup will be created. The backup that you create will be saved at: \\<RemoteServer>\<SharedFolderPath>\WindowsImageBackup\<ComputerBackedUp>.

  7. Also on the Specify remote folder page, do one of the following:

    • Click Do not inherit if you want the backup to be accessible only for the user credentials used to create the backup, and then click Next. Type a user name and password for a user account that has write permissions on the computer that is hosting the remote folder, and then click OK.

    • Click Inherit if you want the backup to be accessible to everyone who has access to the remote shared folder, and then click Next.

    Note

    If you already have a backup stored at this location, you will receive a warning that the backup will be overwritten. If you do not want this to happen, click Cancel and then provide a different shared folder.

  8. On the Specify advanced option page, indicate whether you want to create a copy or full Volume Shadow Copy Service (VSS) backup. You should click VSS full backup if you are sure you are not using another product to create backups. Otherwise, you should click VSS copy backup. Click Next.

    Note

    If you choose VSS full backup, the application log files may be overwritten or truncated.

  9. On the Confirmation page, review the details, and then click Backup. The wizard prepares the backup set and creates the backup.

  10. On the Backup progress page, you can view the status of the backup.

Additional considerations

  • To create a single backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Perform a Manual Backup

  • Installing Windows Server Backup Tools

  • Back Up to a Local Disk, DVD, or Removable Media

  • Recovering Your Server


Use Multiple Disks to Store Backups

You can use multiple external disks to store backups, and you can rotate the disks between onsite and offsite storage locations. This can improve your disaster preparedness planning by helping you recover your data if physical damage occurs to the hardware onsite.

For the best protection, we recommend that you follow this practice of disk rotation. To accomplish this, you would visit the offsite location to drop off the most recent backup and retrieve the oldest backup. When you return to your onsite location, insert the disk that you brought from the offsite location.

To configure a backup schedule for multiple disks

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Backup Schedule. This opens the Backup Schedule Wizard.

  3. On the Getting started page, click Next.

  4. On the Select backup configuration page, do one of the following, and then click Next:

    • Click Full Server to back up all volumes on the server.

    • Click Custom to back up just certain volumes, and then click Next. On the Select backup items page, select the check boxes for the volumes that you want to back up and clear the check boxes for the volumes that you want to exclude.

      Note

      Volumes that contain operating system components or applications are included in the backup by default and cannot be excluded.

  5. On the Specify backup time page, do one of the following, and then click Next:

    • Click Once a day, and then enter the time to start running the daily backup.

    • Click More than once a day. Then, to select a start time, under Available time, click the time that you want the backup to start, and then click Add to move the time under Scheduled time. Repeat for each start time that you want to add.

  6. On the Select destination disk page, select the disks that you want to use to store backups, and then click Next.

    Note

    If the disks that you want to use are not listed on the Select destination disks page, click Show All Available Disks. Then select the check box next to each disk that you want to use.

  7. A message informs you that any one of the disks that you selected may be chosen to store the first backup. Click OK.

  8. A message informs you that the selected disks will be formatted and any existing data will be deleted. Click Yes.

    Important

    Do not click Yes if you have data on the disk that you need. To use a different disk, click No, and then select a different disk under Available disks.

  9. On the Label destination disk page, each disk that you selected is listed. A label that includes your computer name, the current date, the current time, and a disk name is assigned to each disk. Click Next.

    Important

    We recommend that you record and then physically attach the label information to each external disk. If you need to recover data from the backup stored on the disk, you will need this information to identify the disk.

  10. On the Confirmation page, review the details, and then click Finish. The wizard formats the disk, which may take several minutes depending on the size of the disk.

  11. On the Summary page, click Close.

Additional considerations

  • To configure a scheduled backup using Windows Server Backup, you must be a member of the Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • To force a backup to be saved to a particular disk, you can detach or disable all other disks in the backup series.

Additional references

  • Backing Up Your Server

  • Configure Automatic Backups


Create a Backup of the System State Using a Command Line

You can use the Wbadmin start systemstatebackup command to create a backup of the system state for a computer. A backup of the system state can only be saved to a locally attached disk (either internal or external). It cannot be saved to a DVD or to a remote shared folder. In addition, only the system state and system applications can be recovered from this backup—volumes and files cannot be recovered from this backup.

To create a system state backup by using a command line

  1. To open a command prompt with elevated privileges, click Start, right-click Command Prompt, and then click Run as administrator.

  2. At the prompt, type: wbadmin start systemstatebackup -backupTarget:<VolumeName> [-quiet]

    For example, to create a system state backup and save it to volume F, type: wbadmin start systemstatebackup -backupTarget:F:

Value | Description
-backupTarget:<VolumeName> | Specifies the storage location for this backup. VolumeName requires the format <driveletter>:.
[-quiet] | Runs the command with no prompts to the user.

To view the complete syntax for this command, at a command prompt, type: Wbadmin start systemstatebackup /?

Additional considerations

  • To create a system state backup using Wbadmin, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • System state backup is only available for the command line and is not available in the Windows Server Backup snap-in user interface. In addition, you cannot configure a scheduled backup to create system state backups. However, you can script the Wbadmin start systemstatebackup command to run backups on a schedule.

Additional references

  • Backing Up Your Server


Recovering Your Server

You can use the backups you have created with Windows Server Backup to recover your operating system, system state, volumes, application data, backup catalog, and local files and folders. To do this, use the following tools:

Tool What you can recover

Recovery Wizard (in Windows Server Backup)

Files, folders, applications, and volumes

Windows Setup disc or a separate installation of the Windows Recovery Environment

Operating system and full server (all volumes)

Wbadmin start systemstaterecovery command

System state

Catalog Recovery Wizard (in Windows Server Backup)

Note

The Catalog Recovery Wizard is only available from Windows Server Backup when the backup catalog is corrupted.

Backup catalog

You can also perform these tasks, as well as system state recoveries, using the Wbadmin command. For the syntax of this command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131).

  • Recover Files and Folders

  • Recover Applications and Data

  • Recover Volumes

  • Recover the Operating System

  • Recover the System State Using a Command Line

  • Recover a Backup Catalog

Additional considerations

  • To perform recoveries using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • You cannot recover backups that you created with Ntbackup.exe by using Windows Server Backup (Wbadmin.exe). However, a version of Ntbackup.exe is available as a download for Windows Server 2008 users who want to recover data from backups that were created using Ntbackup.exe. The downloadable version of Ntbackup.exe is only for performing recoveries of legacy backups and cannot be used to create new backups on Windows Server 2008. To download this limited version of Ntbackup.exe, see http://go.microsoft.com/fwlink/?LinkId=82917.

  • If you are recovering your operating system to a new hard disk, make sure the disk is at least as big as the disk that contained the volumes that were backed up, regardless of the size of those volumes. For example, if there was only one volume that was 100 GB on a 1-TB disk during backup, you should use a disk that is at least 1 TB when restoring.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a recovery, make sure to reapply BitLocker Drive Encryption to your server. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional resources

  • Windows Server Backup

  • Installing Windows Server Backup Tools

  • Backing Up Your Server


Recover Files and Folders

You can use the Recovery Wizard in Windows Server Backup to recover files and folders from a backup. Before you begin, you should:

  • Make sure that the computer that you are recovering files to is running Windows Server 2008.

  • Make sure at least one backup exists on an external disk or in a remote shared folder—you cannot recover files and folders from backups saved to DVDs or removable media. In addition, make sure that the backup is not a system state backup—file and folder recovery is not possible from a system state backup.

  • Make sure the external disk or shared folder that is hosting the backup is online and available to the server.

  • Determine what files or folders that you want to recover.

Note

You can also use the Wbadmin start recovery command to perform this task. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=93338.

To recover files and folders

  1. From the Start menu, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover. This opens the Recovery Wizard.

  3. On the Getting started page, specify whether you will recover files from backups run on this computer or another computer, and then click Next.

  4. If you are recovering files and folders from backups stored on another computer, do the following, and then click Next:

    1. On the Specify location type page, specify whether the backup that you want to restore from is on a local drive or a remote shared folder.

    2. If you are recovering from a local drive, on the Select backup location page, select the location of the backup from the drop-down list. If you are recovering from a remote shared folder, on the Specify remote folder page, type the path to the folder that contains the backup. In the folder, the backup should be stored at \\<RemoteSharedFolder>\WindowsImageBackup\<ComputerName>\<YourBackup>.

  5. If you are recovering from this computer, on the Select backup location page, select the location of the backup from the drop-down list, and then click Next.

  6. On the Select backup date page, select the date from the calendar and the time from the drop-down list of backup you want to restore from. If you are recovering from this computer and the backup you select is stored on a DVD or removable media drive, you are prompted to insert the media. Then click Next.

  7. On the Select recovery type page, click Files and folders, and then click Next.

  8. On the Select items to recover page, under Available items, expand the list until the folder you want is visible. Click a folder to display the contents in the adjacent pane, click each item that you want to restore, and then click Next.

    Note

    The SHIFT and CTRL keys will enable you to select a group or specific set of items.

  9. On the Specify recovery options page, under Recovery destination, do one of the following, and then click Next:

    • Click Original location.

    • Click Another location. Then, type the path to the location, or click Browse to select it.

  10. Under When Backup finds existing files and folders, click one of the following, and then click Next:

    1. Create copies so I have both versions of the file or folder

    2. Overwrite existing files with recovered files

    3. Don't recover those existing files and folders

  11. On the Confirmation page, review the details, and then click Recover to restore the specified items.

  12. On the Recovery progress page, you can view the status of the recovery operation and whether or not it was successfully completed.

Additional considerations

  • To recover files and folders from a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Recovering Your Server

  • Recovery Wizard


Recover Applications and Data

You can use the Recovery Wizard in Windows Server Backup to recover applications and related data from a backup. To enable applications to be recovered, you need to install recovery plug-ins. For instructions, see http://go.microsoft.com/fwlink/?LinkId=93493.

Before you begin, you should:

  • Make sure that the computer that you are recovering files to is running Windows Server 2008.

  • Make sure at least one backup of the application exists on an external disk or in a remote shared folder, and that the disk is attached and online or that the shared folder is available.

  • Make sure that the application to be recovered uses Volume Shadow Copy Service (VSS) technology so that it is compatible with Windows Server Backup. In addition, the VSS writer for the application must have been enabled before you created the backup that you will use for recovery. Most applications require you to specifically enable the VSS writer—it is not enabled by default. If the VSS writer was not enabled for the backup, you will not be able to recover applications from it. For more information about backing up and recovering applications, see http://go.microsoft.com/fwlink/?LinkId=95935.

  • Make sure the external disk or shared folder that is hosting the backup is online and available to the server.

Note

You can also use the Wbadmin start recovery command to perform this task. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=93338.

To recover an application

  1. From the Start menu, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover. This opens the Recovery Wizard.

  3. On the Getting started page, specify whether you will recover the application from backups run on this computer or another computer, and then click Next.

  4. If you are recovering applications from backups stored on another computer, do the following, and then click Next:

    1. On the Specify location type page, specify whether the backup that you want to restore from is on a local drive or a remote shared folder.

    2. If you are recovering from a local drive, on the Select backup location page, select the location of the backup from the drop-down list. If you are recovering from a remote shared folder, on the Specify remote folder page, type the path to the folder that contains the backup. In the folder, the backup should be stored at \\<RemoteSharedFolder>\WindowsImageBackup\<ComputerName>\<YourBackup>.

  5. If you are recovering from this computer, on the Select backup location page, select the location of the backup from the drop-down list, and then click Next.

  6. On the Select backup date page, select the date from the calendar and the time from the drop-down list of the backup that you want to restore from, then click Next.

  7. On the Select recovery type page, click Applications, and then click Next.

  8. On the Select application page, under Applications, click the application that you want to recover. If the backup that you are using is the most recent and the application you are recovering supports a "roll-forward" of the application database, you will see a check box labeled Do not perform a roll-forward recovery of the application databases. Select this check box if you want to prevent Windows Server Backup from rolling forward the application database that is currently on your server. Click Next.

  9. On the Specify recovery options page, under Recovery destination, do one of the following, and then click Next:

    1. Click Recover to original location.

    2. Click Recover to another location. Then, type the path to the location, or click Browse to select it.

    Important

    You can copy an application to a different location, but you cannot recover an application to a different location or computer of a different name.

  10. On the Confirmation page, review the details, and then click Recover to restore the listed items.

  11. On the Recovery progress page, you can view the status of the recovery operation and whether or not it was successfully completed.

Additional considerations

  • To recover applications from a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a system recovery, make sure to reapply BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional references

  • Recovering Your Server

  • Recovery Wizard


Recover Volumes

You can use the Recovery Wizard in Windows Server Backup to restore a volume. When you restore a full volume, all contents of the volume are restored—you cannot selectively restore individual files or folders. If you want to recover just certain files or folders and not a full volume, see Recover Files and Folders.

Before you begin, you should:

  • Make sure that the computer that you are recovering volumes to is running Windows Server 2008.

  • Make sure the external disk or shared folder that is hosting the backup is online and available to the server. Or, if you are using a backup on DVDs or removable media, make sure that the DVD drive or device is attached to your local server and online, and that all DVDs that contain the backup are labeled and available.

  • Determine which volumes that you want to recover.

Note

You can also use the Wbadmin start recovery command to perform this task. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=93338.

To recover volumes

  1. From the Start menu, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover. This opens the Recovery Wizard.

  3. On the Getting started page, specify whether you will recover volumes from backups stored on this computer or another computer, and then click Next.

  4. If you are recovering volumes from backups stored on another computer, do the following, and then click Next:

    1. On the Specify location type page, specify whether the backup that you want to restore from is on a local drive or a remote shared folder.

    2. If you are recovering from a local drive, on the Select backup location page, select the location of the backup from the drop-down list. If you are recovering from a remote shared folder, on the Specify remote folder page, type the path to the folder that contains the backup. In the folder, the backup should be stored at \\<RemoteSharedFolder>\WindowsImageBackup\<ComputerName>\<YourBackup>.

  5. If you are recovering from this computer, on the Select backup location page, select the location of the backup from the drop-down list. If you are recovering from DVD or removable media, you are prompted to insert the device or first DVD in the series, then click Next.

  6. Then, for a recovery either from the local computer or another computer, on the Select backup date page, select the date from the calendar and the time from the drop-down list of backup you want to restore from.

  7. On the Select recovery type page, click Volumes, and then click Next.

  8. On the Select volumes page, select the check boxes associated with the volumes in the Source Volume column that you want to recover. Then, from the associated drop-down list in the Destination Volume column, select the location that you want to recover the volume to. Click Next.

    Important

    You will receive a message that any data on the destination volume will be lost when you perform the recovery. Make sure that the destination volume is empty or does not contain information that you will need later.

  9. On the Confirmation page, review the details, and then click Recover to restore the specified volumes.

  10. On the Recovery progress page, you can view the status of the recovery operation and whether or not it was successfully completed.

Additional considerations

  • To recover volumes from a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Recovering Your Server

  • Recovery Wizard


Recover the Operating System

You can recover your server operating system or full server by using a Windows Setup disc and a backup that you created earlier with Windows Server Backup. The Windows Setup disc enables you to access the System Recovery Options page in the Windows Recovery Environment. On some computers you may be able to access the Windows Recovery Environment on a recovery partition. You can also install Windows Recovery Environment locally on your server if you want to configure your servers to fail over to the Windows Recovery Environment if they fail to boot. (For instructions, see http://go.microsoft.com/fwlink/?LinkId=94458.)

You recover the operating system by recovering all critical volumes—volumes that do not contain system components will not be restored. You recover the full server by recovering all volumes.

When you perform a recovery of the operating system or full server, you will need to specify the following:

  • What backup you will use

  • Where you will recover to

  • Whether you will perform an operating system–only or full server recovery

  • Whether you will reformat and repartition your disks

Important

In a full server recovery, if you choose to reformat and repartition all disks, the existing data will be deleted. This includes any volumes that are currently used by the server but were not included in the backup.

To recover the operating system or a full server, you should first do the following:

  • Install Windows Server Backup. For instructions, see Installing Windows Server Backup Tools.

  • If you are recovering to a new hard disk, make sure the disk is at least as big as the disk that contained the volumes that were backed up, regardless of the size of those volumes. For example, if there was only one volume that was 100 GB on a 1 TB disk during backup, you should use a disk that is at least 1 TB when restoring.

  • If you are recovering just the operating system, make sure that you have a backup available that contains at least the critical volumes of the server. If you are recovering the full server, make sure that you have a backup available that contains all volumes of the server. For instructions, see Perform a Manual Backup.

  • Make sure that you have a Windows Setup disc for Windows Server 2008.

To recover your operating system or full server using a Windows Setup disc

  1. Insert the Windows Setup disc into the CD or DVD drive and turn on the computer. If needed, press the required key to boot from the disc. The Install Windows Wizard should appear.

  2. Specify language settings, and then click Next.

  3. Click Repair your computer.

  4. Setup searches the hard disk drives for an existing Windows installation and then displays the results in System Recovery Options. If you are recovering the operating system onto separate hardware, the list should be empty (there should be no operating system on the computer). Click Next.

  5. On the System Recovery Options page, click Windows Complete PC Restore. This opens the Windows Complete PC Restore Wizard.

  6. Do one of the following:

    • Click Use the latest available backup (recommended) and then click Next.

    • Click Restore a different backup and then click Next.

  7. If you chose to restore a different backup, on the Select the location of the backup page, do one of the following:

    • Click the computer that contains the backup that you want to use, and then click Next.

      Important

      If the storage location contains backups of multiple computers, make sure that you click the row for the backups for the computer that you want to use.

      Then, on the Select the backup to restore page, click the backup that you want to use, and then click Next.

    • Click Advanced to browse for a backup on the network, and then click Next.

  8. On the Choose how to restore the backup page, do the following optional tasks, and then click Next:

    • Select the Format and repartition disks check box to delete existing partitions and reformat the destination disks to be the same as the backup. This enables the Exclude disks button. Click this button and then select the check boxes associated with any disks that you want to exclude from being formatted and partitioned. The disk that contains the backup that you are using is automatically excluded.

      Notes
      • Unless a disk is excluded, data on it can be lost—regardless of whether it was part of the backup or whether it has volumes that are being restored.
      • In Exclude disks, if you do not see all the disks that are attached to the computer, you might need to install the associated drivers for the storage device.
    • Select the Only restore system disks check box to perform an operating system–only recovery.

    • Click Install drivers to install device drivers for the hardware that you are recovering to.

    • Click Advanced to specify whether the computer is restarted and the disks are checked for errors immediate after the recovery.

  9. Confirm the details for the restoration, and then click Finish.

Additional considerations

  • To create a backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure. The recovery of the operating system is performed by the Windows Recovery Environment using the LocalSystem user account.

  • For certain server roles and features, additional recovery options exist. For more information, see http://go.microsoft.com/fwlink/?LinkId=93494.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a system recovery, make sure to reapply BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional references

  • Recovering Your Server

  • Recovery Wizard


Recover the System State Using a Command Line

You can use the Wbadmin start systemstaterecovery command to recover the system state for a computer.

To recover the system state by using a command line

  1. To open a command prompt with elevated privileges, click Start, right-click Command Prompt, and then click Run as administrator.

  2. At the prompt, type: wbadmin start systemstaterecovery -version:<VersionIdentifier> -showsummary [-backupTarget:{<VolumeName> | <NetworkSharePath>}] [-machine:<BackupMachineName>] [-recoveryTarget:<TargetPathForRecovery>] [-authsysvol] [-quiet]

    For example, to run a system state recovery of the backup from 04/30/2005 at 9:00 A.M. that is stored on the shared resource \\servername\share for server01, type: wbadmin start systemstaterecovery -version:04/30/2005-09:00 -backupTarget:\\servername\share -machine:server01

Value | Description
-version:<VersionIdentifier> | Specifies the version for the backup to recover in MM/DD/YYYY-HH:MM format, as listed by Wbadmin get versions.
-showsummary | Reports the summary of the last run of this command. This parameter cannot be accompanied by any other parameters.
-backupTarget:{<VolumeName> | <NetworkSharePath>} | Specifies the storage location that contains the backup or backups that you want to recover. Useful when the location is different from the location where backups of this computer are usually stored. NetworkSharePath should be in Universal Naming Convention (UNC) format.
-machine:<BackupMachineName> | Specifies the name of the computer for which you want to recover a backup. Useful when multiple computers have been backed up to the same location. Should be used when -backupTarget is specified.
-recoveryTarget:<TargetPathforRecovery> | Specifies the directory to restore to. This is useful if the files that comprise the system state are restored to an alternate location.
-authsysvol | Performs an authoritative restore of Sysvol.
-quiet | Runs the command with no prompts to the user.

Additional considerations

  • To recover the system state using Wbadmin, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a system state recovery, make sure to reapply BitLocker Drive Encryption. This will not happen automatically--it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional references

  • Recovering Your Server


Recover a Backup Catalog

You can use the Catalog Recovery Wizard to recover a local backup catalog that has been corrupted.

Windows Server Backup stores the details about your backups (what volumes are backed up and where the backups are located) in a file called a backup catalog. The catalog is stored in the same place that you store your backups. If that file gets corrupted, you will be alerted and an event is added to the event log (Event 514). To continue with future backups, you will need to either restore the catalog using an available backup or delete the catalog.

If you have no backups that you can use to recover the catalog (so you need to delete the catalog), the information about previous backups will be lost and you will not be able to access the backups using the Windows Server Backup snap-in. In this case, you should create a new backup once your catalog is deleted.

Important

You will only see the Catalog Recovery Wizard in Windows Server Backup if your catalog is corrupted.

Note

You can also use the Wbadmin recover catalog and the Wbadmin delete catalog commands to perform these tasks. For syntax and examples for Wbadmin, see http://go.microsoft.com/fwlink/?LinkId=93131.

To recover a backup catalog

  1. Click Start, click Administrative Tools, and then click Windows Server Backup.

  2. In the Actions pane of the snap-in default page, under Windows Server Backup, click Recover Catalog. This opens the Catalog Recovery Wizard.

  3. On the Specify storage type page, do one of the following:

    • If you do not have a backup that you can use to recover the catalog, and just want to delete the catalog, click I don't have any usable backups, click Next, and then click Finish.

    • If you do have a backup that you can use, specify whether the backup is on a local drive or remote shared folder, and then click Next.

  4. Do one of the following:

    1. If the backup is on a local drive (including DVDs), on the Select backup location page, select the drive that contains the backup that you want to use from the drop-down list. If you are using DVDs, make sure the last DVD of the series is in the drive. Click Next.

    2. If the backup is on a remote shared folder, on the Specify remote folder page, type the path to the folder that contains the backup that you want to use, and then click Next.

  5. You will receive a message that you will not be able to access backups taken after the backup that you are using for the recovery. Click Yes.

  6. On the Confirmation page, review the details, and then click Finish to recover the catalog.

  7. On the Summary page, click Close.

  8. Once the catalog recovery is completed or you have deleted the catalog, you must close and then re-open Windows Server Backup to refresh the view.

Additional considerations

  • To recover a backup catalog using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional references

  • Recovering Your Server

  • Catalog Recovery Wizard


Troubleshooting Backup and Recovery

This topic lists some common issues that you may encounter when using Windows Server Backup. For more in-depth troubleshooting information, see http://go.microsoft.com/fwlink/?LinkId=93294.

What problem are you having?

  • I cannot recover any data from a .bkf file that I created using an earlier version of Windows.

  • I tried to create a backup to a tape drive, but did not see my drive listed for available locations to store backups.

  • In Windows Explorer, I am not able to see the disk that I used to store my scheduled backups.

  • When I list the Wbadmin commands at a command prompt, I do not see some of the commands that are referenced in the documentation.

  • I cannot select just files and folders to be backed up.

  • When I perform a system state backup, the time it takes is longer and the size of the backup is much bigger than for earlier version of the operating system.

  • I cannot perform a system state backup or system state recovery using the wizards in Windows Server Backup.

  • When I create a second backup to disk, the first backup seems to have disappeared.

I cannot recover any data from a .bkf file that I created using an earlier version of Windows.
  • Cause: You cannot use Windows Server Backup in Windows Server 2008 to recover backups that were created with the previous backup feature (Ntbackup.exe).

  • Solution: A version of Ntbackup.exe is available as a download for Windows Server 2008 users who want to recover data from backups created using Ntbackup.exe. The downloadable version of Ntbackup.exe is only for recovering backups created with older versions of Windows and cannot be used to create new backups in Windows Server 2008. To download Ntbackup.exe, see http://go.microsoft.com/fwlink/?LinkId=82917.

I tried to create a backup to a tape drive, but did not see my drive listed for available locations to store backups.
  • Cause: Windows Server Backup in Windows Server 2008 does not support backing up to tape storage devices. (However, support of tape storage drivers is still included in Windows Server 2008.)

  • Solution: Use a supported storage media type or solution. Windows Server Backup supports backing up to external and internal disks, DVDs, removable media, and shared folders.

In Windows Explorer, I am not able to see the disk that I used to store my scheduled backups.
  • Cause: This is by design. Once you specify a disk to be used to store scheduled backups, it is allocated for that purpose—it is not mounted to a drive letter, so it is not visible in Windows Explorer. This is done for the following reasons:

    • To ensure that the data being protected and a backup of that data will not be on the same physical disk. (This is important in the case of a disk failure.)

    • To keep the disk clear of data that is not needed. Storing other data on the backup disk can cause loss of space and loss of backup copies.

    • To protect the backups. Hiding the disk in this way makes it less likely that data will be accidentally deleted or corrupted.

  • Solution: The drive will be visible in Disk Management (Diskmgmt.msc). To release the drive, you must cancel the scheduled backups. For instructions, see Modify an Automatic Backup Schedule.

When I list the Wbadmin commands at a command prompt, I do not see some of the commands that are referenced in the documentation.
  • Cause: This is by design. Certain commands are only available from the Windows Recovery Environment, or are hidden but available for use.

  • Solution: To see a complete list of commands, their syntax, and examples, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131).

I cannot select just files and folders to be backed up.
  • Cause: This is by design. Windows Server Backup backs up data at the block level (image backup), so that the ability to back up individual files and folders is not available. You can, however, back up certain volumes or the full server (all volumes). Windows Server Backup uses this method for improved performance.

  • Solution: Copy the individual files and folders that you want to back up to a volume and then create a backup of that volume.

When I perform a system state backup, the time that it takes is longer and the size of the backup is much bigger than for earlier version of the operating system.
  • Cause: This is by design. System state files have increased in number and size. On Windows Server 2008, there are approximately 50,000 system state files, which take up approximately 4 GB for the default installation on an x86-based computer.

I cannot perform a system state backup or system state recovery using the wizards in Windows Server Backup
  • Cause: This is by design. The tools to perform these tasks are available from the command line only.

  • Solution: Use the Wbadmin start systemstatebackup and Wbadmin start systemstaterecovery commands. For instructions, see Create a Backup of the System State Using a Command Line and Recover the System State Using a Command Line.

When I create a second backup to disk, the first backup seems to have disappeared.
  • Cause: Backups are stored using Volume Shadow Copy Service (VSS) technology on the storage disk. They are available in the shadow copy that was created of the backup storage disk.

  • Solution: The backups are not lost. You can use the Wbadmin get versions command or the Recovery Wizard to see all the versions of backup available. However, when using Windows Explorer, you will only see the contents of the latest backup on the disk.

Additional resources

  • Windows Server Backup

  • Resources for Backup and Recovery


Resources for Backup and Recovery

For more information about backing up or recovering your servers, use the following resources on the Microsoft Web site:

  • For technical information, see http://go.microsoft.com/fwlink/?LinkId=93236.

  • For more general information and support, see http://go.microsoft.com/fwlink/?LinkId=93234.

  • For information about the Wbadmin command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131).

  • For more information about Windows PowerShell commands (cmdlets) for Windows Server Backup, see http://go.microsoft.com/fwlink/?LinkId=93317.

  • For more in-depth troubleshooting information, see http://go.microsoft.com/fwlink/?LinkId=93294.


User Interface: Windows Server Backup

  • Backup Schedule Wizard

  • Backup Once Wizard

  • Recovery Wizard

  • Catalog Recovery Wizard

Additional considerations

  • To access and use the wizards in Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • You must first install Windows Server Backup to access these wizards. For instructions, see Installing Windows Server Backup Tools.

  • You can perform the same tasks with the Wbadmin command that you can with the wizards in the Windows Server Backup Microsoft Management Console (MMC) snap-in. For information about this command, see the Command Reference (http://go.microsoft.com/fwlink/?LinkId=93131).

Additional references

  • Windows Server Backup


Backup Schedule Wizard

Page Details

Getting started

For information about prerequisites and the overall process, see Checklist: Schedule Automatic Backups.

For instructions for using this wizard, see:

  • Configure Automatic Backups

  • Modify an Automatic Backup Schedule

  • Use Multiple Disks to Store Backups

Scheduled backup settings

If you have already created a backup schedule, you can use this page to modify the current settings or cancel the scheduled backups from this page.

Select backup configuration

You can choose to back up all volumes that contain your files, data, applications, and operating system state; or just certain volumes.

Select backup items

Select the check boxes for the volumes you want to include in the backup.

Specify backup time

Specify whether you want to run backups just once a day or more than once a day.

Note

If you want to create a schedule for backups, but need to run backups at different times on different days, you can use Task Scheduler and the Wbadmin start backup command to run a series of tasks to create backups. For instructions, see Perform a Manual Backup.

Select destination disk

You can use this page to select one or more external disks to use to store your backups. If you do not see the disk that you want to use listed, click Show All Available Disks and then select the check boxes for the disks that you want to use. The disks will then appear in the list of destination disks. For instructions for using multiple disks, see Use Multiple Disks to Store Backups.

Also, if you do not want to use disks, you can use the Wbadmin enable backup command to save scheduled backups to a volume. For examples and syntax for this command, see http://go.microsoft.com/fwlink/?LinkId=93106. However, if you do this, it may reduce the recovery options available to you because the data being protected and the backup are on the same physical disk.

Important

If you are using BitLocker Drive Encryption to protect your server, if possible, make sure the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Add or remove backup disks

If you are modifying a backup schedule, you can use this page to add more disks to store your backups or remove disks from the set that are used to store backups.

Label destination disk

Each disk that you select is listed with associated label information. Make sure to note the information and physically attach it to the disks. This will enable you to identify disks for recoveries.

Confirmation

Review the choices that you made in the wizard. When you click Finish, the disk or disks that you selected will be formatted and/or the changes that you made to the current schedule will be implemented.

Summary

View the status of whether the schedule was successfully created or modified.

Additional considerations

  • To configure or modify a scheduled backup using Windows Server Backup, you must be a member of the Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

Additional resources

  • User Interface: Windows Server Backup

  • Installing Windows Server Backup Tools


Backup Once Wizard

Page Details

Backup options

For information about prerequisites and the overall process, see Checklist: Perform a Manual Backup.

For instructions for using this wizard, see:

  • Perform a Manual Backup

  • Back Up to a Local Disk, DVD, or Removable Media

  • Back Up to a Remote Shared Folder

Then, you can use this page to specify that you will use the same settings for this backup or that you will use different settings for this backup.

Select backup configuration

You can choose to back up all volumes that contain your files, data, applications, and operating system state—or just certain volumes.

Select backup items

Select the check boxes for the volumes you want to include in the backup.

Specify destination type

Specify whether you want to store the backup on a drive or in a remote shared folder.

Select backup destination

If you are storing the backup on a disk or DVDs, select the local disk or DVD drive that you will use.

Specify remote folder

If you are storing the backup in a remote shared folder, type the path to the folder.

Note

When you create the backup, the folders WindowsImageBackup\<ComputerName> will be added to the shared folder. The backup will be saved in <ComputerName>. However, you should not append the shared folder with the added folders.

Also on this page, specify whether you want the backup to be available only using the credentials that you used to create the backup, or whether you want to allow anyone who can access the remote folder to be able to access the backup.

Specify advanced options

Use this page to specify whether you want to create a copy or full Volume Shadow Copy Service (VSS) backup. Click VSS full backup if you are sure you are not using another product to create backups. Otherwise, click VSS copy backup.

Note

If you choose VSS full backup, the application log files may be overwritten or truncated

Confirmation

Review the choices that you made in the wizard. When you click Finish, the disk or disks that you selected will be formatted and/or the changes that you made to the current schedule will be implemented.

Backup progress

View the status of whether the schedule was successfully created or modified.

Additional considerations

  • To create a single backup using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • If you are using BitLocker Drive Encryption to protect your server, if possible, make sure the storage location you choose is also protected with BitLocker Drive Encryption. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional resources

  • User Interface: Windows Server Backup

  • Installing Windows Server Backup Tools


Recovery Wizard

Page Details

Getting started

For instructions for using this wizard, see:

  • Recovering Your Server

  • Recover Files and Folders

  • Recover Applications and Data

  • Recover Volumes

Use this page to specify whether you want to recover the backup from this computer or another computer.

Specify location type

If you are recovering from another computer, specify whether the backup is stored on a disk drive or a remote shared folder.

Select backup location

If you are recovering a backup stored on a local drive, select the drive from the drop-down list.

Specify remote folder

If you are recovering a backup stored on a remote shared folder, type the path to the shared folder.

Note

When you created the backup, the folders \WindowsImageBackup\<ComputerName> were added to the shared folder. The backup is stored in <ComputerName>. However, you do not need to append the shared folder name with the added folders.

Select backup date

Select the date and time of the backup that you will use to perform the recovery.

Select recovery type

Specify whether you will be performing a recovery of files and folders, applications, or volumes.

Select items to recover

If you are recovering files and folders, under Available items, expand the list until the folder you want is visible. Click a folder to display the contents of the folder (both files and folders) in the adjacent pane. Then click each item that you want to restore.

Select application

If you are recovering an application, under Applications, click the application you want to recover. If the backup that you are using is the most recent, you will see a check box labeled Do not perform a roll-forward recovery of the application database. Select this check box if you want to prevent Windows Server Backup from rolling forward the application database that is currently on your server.

Select volumes

If you are recovering volumes, select the check boxes associated with the volumes in the Source Volume column that you want to recover. Then, from the associated drop-down list in the Destination Volume column, select the location that you want to recover the volume to.

If all the volumes on your server contain system components, you will not be able to perform a volume recovery. Instead, try the following:

  • Try to recover individual files and folders. For instructions, see Recover Files and Folders.

  • If you are trying to restore the system state, use the Wbadmin start systemstaterecovery command. For examples and syntax, see http://go.microsoft.com/fwlink/?LinkId=93337.

  • If you want to recover your entire computer, use the Windows Recovery Environment, which is available by using your Windows Setup disc or by installing the Windows Recovery Environment on a separate partition. For instructions, see Recover the Operating System.

Specify recovery options

If you are recovering files and folders, do the following:

  1. Do one of the following:

    1. Click Original location.

    2. Click Another location. Then, type the path to the location, or click Browse to select it.

  2. Under When Backup finds existing files and folders, click one of the following, and then click Next:

    1. Create copies so I have both versions of the file or folder

    2. Overwrite existing files with recovered files

    3. Don't recover those existing files and folders

  3. Select the Restore security settings check box to reapply access control list (ACL) permissions.

If you are recovering an application, do one the following:

  • Click Recover to original location.

  • Click Recover to another location. Then, type the path to the location, or click Browse to select it.

Important

You can copy an application to a different location, but you cannot recover an application to a different location or computer of a different name.

Confirmation

Review the choices that you made in the wizard. When you click Finish, the items will be recovered.

Recovery progress

View the status of whether the schedule was successfully created or modified.

Additional considerations

  • To perform recoveries using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • If you are using BitLocker Drive Encryption to protect your server and you need to perform a recovery, make sure to reapply BitLocker Drive Encryption to your server. This will not happen automatically—it must be enabled explicitly. For instructions, see the Windows BitLocker Drive Encryption Step-by-Step Guide (http://go.microsoft.com/fwlink/?LinkId=93107).

Additional resources

  • User Interface: Windows Server Backup

  • Installing Windows Server Backup Tools


Catalog Recovery Wizard

Page Details

Specify storage type

For instructions for using this wizard, see Recover a Backup Catalog.

You can use this page to specify where you want to recover the catalog from (either a local drive or remote shared folder), or you can choose to delete the catalog.

Select backup location

Use this page to choose the backup that you want to use to recover the catalog. Select the volume or drive from the drop-down list.

Specify remote folder

Use this page if you are recovering the catalog from a backup stored on a remote shared folder. Type the path to the shared folder.

Note

When you created the backup, the folders \WindowsImageBackup\<ComputerName> were added to the shared folder. The backup is stored in <ComputerName>. However, you do not need to append the shared folder name with the added folders.

Confirmation

Review the choices that you made in the wizard. When you click Finish, the catalog will be recovered or deleted.

Summary

View the status of whether the catalog was successfully recovered or deleted.

Additional considerations

  • To recover a backup catalog using Windows Server Backup, you must be a member of the Backup Operators or Administrators group, or you must have been delegated the appropriate authority. As a security best practice, consider using Run as to perform this procedure.

  • This wizard will only appear in Windows Server Backup if the backup catalog is corrupted.

Additional resources

  • User Interface: Windows Server Backup

  • Installing Windows Server Backup Tools